Page MenuHomePhabricator

[mlir][openacc] Add update operation
ClosedPublic

Authored by clementval on Sep 22 2020, 8:54 AM.

Details

Summary

This patch introduce the update operation that represent the OpenACC update directive.

Diff Detail

Event Timeline

clementval created this revision.Sep 22 2020, 8:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 22 2020, 8:54 AM
clementval requested review of this revision.Sep 22 2020, 8:54 AM

Remove region from parse function comment

Use correct attribute

Switch to assembly format.

rriddle added inline comments.Sep 28 2020, 9:57 AM
mlir/include/mlir/Dialect/OpenACC/OpenACCOps.td
348

Are any of these necessary?

mlir/lib/Dialect/OpenACC/IR/OpenACC.cpp
810

Return this error directly, it auto-converts to failure.

817

nit: Drop trivial braces.

818

Missing returns for each of these errors.

clementval marked 4 inline comments as done.Sep 28 2020, 10:28 AM
clementval added inline comments.
mlir/include/mlir/Dialect/OpenACC/OpenACCOps.td
348

Not really. Just removed them.

clementval marked an inline comment as done.

Address review comments

ftynse accepted this revision.Sep 29 2020, 4:51 AM
ftynse added inline comments.
mlir/test/Dialect/OpenACC/invalid.mlir
72

Nit: we usually don't capitalize error messages

This revision is now accepted and ready to land.Sep 29 2020, 4:51 AM

Address review comments

This revision was landed with ongoing or failed builds.Sep 29 2020, 6:58 AM
This revision was automatically updated to reflect the committed changes.
Harbormaster completed remote builds in B73329: Diff 294961.